
EclaireXL - Bug #44

CORE 11 - Bug in PBI - EclaireXL will not boot with IDE2+ Is connected and when Turbo Freezer

connected goes directly to Cart EMU not main screen

06/08/2017 11:22 PM - ndary

Status: Closed Start date: 06/08/2017

Priority: Normal Due date:  

Assignee: foft % Done: 0%

Category:  Estimated time: 0:00 hour

Target version:    

Description

Just tested CORE 11 and there is Bug in PBI - EclaireXL will not boot with IDE2+ Is connected and when Turbo Freezer connected

goes directly to Cart EMU not main screen

Related issues:

Related to Bug #43: Core 10 - IDE2+ Menu does not show when powering the comp... Closed 06/08/2017

Related to Bug #45: CORE10 - IDE2+ SDX not working Closed 06/09/2017

History

#1 - 06/09/2017 07:10 AM - foft

I see the cart emu thing, I had not tested that... I had it disabled. Interesting, will check the manual for when that fires up, might give me a clue.

#2 - 06/09/2017 08:22 PM - foft

- Related to Bug #43: Core 10 - IDE2+ Menu does not show when powering the computer with START key pressed added

#3 - 06/09/2017 09:26 PM - Stephen

I am also confirming that with Core 11, the exlaire will not boot with IDE2+ Rev C.  A video signal is generated as my monitor picks up the 50Hz signal

via HDMI, but when pressing F12 no text is visible.

#4 - 06/09/2017 09:44 PM - foft

- Related to Bug #45: CORE10 - IDE2+ SDX not working added

#5 - 06/09/2017 09:46 PM - foft

I think I know why it won't boot with v11.

MPD_N is combinatorial logic driven from the address - and I use it too soon.

#6 - 06/09/2017 09:59 PM - foft

Though that logic should only get hit after it stabilises... Hmmm. Well registering it anyway (grasping at straws!!)

#7 - 06/11/2017 01:54 PM - foft

Found a bug I introduced here. When MPD_N is low I was also disabling the rest of the OS rom... Ooops! IDE2+ holds it low, hence the failure to

boot. Fixing in core 13.

#8 - 06/11/2017 02:09 PM - foft

Even on v13 it goes straight to the cart emu menu. My turbo freezer goes straight to the cart emu menu on my 600xl though, so it seems normal... I

think that didn't happen on older cores because my reset was broken.

#9 - 06/11/2017 03:07 PM - ndary

- Status changed from New to Closed

Checked IDE2+ On core 13 and i works!

case closed
